Clear Data By Point of View (v3)
Clears the data for a given point of view in a selected cube.
This is an asynchronous call, so use the job status URI to determine whether the operation is complete.
Required Roles
Service Administrators
Note:
This REST API supports using an existing job as the source of parameter values. The job type must be Clear POV, created and saved in PCM Agent. Any parameters defined in the saved job can be overridden at runtime by providing values in the REST request payload.
REST Resource
POST /HyperionPlanning/rest/v3/applications/{AppName}/jobs/
Request
Supported Media Types: application/json
Note:
If substitution variables exist for parameters, you can use them instead of actual values in the REST API. See Using Substitution Variables in Enterprise Profitability and Cost Management REST APIs for more information.
Table 24-6 Request Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
jobType |
Clear POV |
Payload | Yes | None |
jobName |
Name of the job Example: The |
Payload | Yes | None |
povDelimiter |
Delimiter used in POV values. The delimiter must be enclosed in double quotation marks. Other than a comma, only these delimiters are supported:
Example: Note: When submitting multiple POVs for calculation, do not use a comma as the delimiter to separate POV members. Comma is reserved for separating POV groups as shown in this example:
|
Payload | Yes | :: (Double Colon) |
povName |
Name of the POV to clear Example: |
Payload | Yes | None |
cubeName |
Name of the cube on which clear operation is to be executed Example: |
Payload | Yes | PCM_CLC |
clearInput |
(True|False) Specifies whether to clear input data Example: |
Payload | Yes | None |
clearAllocatedValues |
(True|False) Specifies whether to clear allocated data Example: |
Payload | Yes | None |
clearAdjustmentValues |
(True|False) Specifies whether to clear adjustment data Example:
|
Payload | Yes | None |
Sample Payload
{
"jobType":"Clear POV",
"jobName":"Clear POV",
"parameters":{
"povDelimiter":":",
"povName":"FY21:Jan:Actual:Working",
"cubeName":"PCM_CLC",
"clearInput":"true",
"clearAllocatedValues":"true",
"clearAdjustmentValues":"true"
}
}
Response
Supported Media Types: application/json
Note:
If substitution variables exist for parameters, you can use them instead of actual values in the REST API. See Using Substitution Variables in Enterprise Profitability and Cost Management REST APIs for more information.
Table 24-7 Response Parameters
| Name | Description |
|---|---|
jobId |
ID of the job that is created |
jobName |
Name of the job |
details |
In case of errors, details are published with the error string |
status |
See Migration Status Codes. |
links |
Detailed information about the link |
href |
Links to the API call |
action |
HTTP call type |
rel |
Can be self and/or Job-details.
If set to Job Status, you can use the
href to get the status of the job.
|
data |
Parameters as key value pairs passed in the request |
Examples of Response Body
The following examples show the contents of the response body in JSON format:
Example 1: Job is in Progress
{
"jobId": 26,
"jobName": "Clear POV",
"status": -1,
"descriptiveStatus": "Processing",
"details": null,
"links": [
{
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/BksML40/jobs/26",
"action": "GET",
"rel": "self",
},
{
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/BksML40/jobs/26/details",
",
"action": "GET",
"rel": "job-details "
}
]
}
Example 2: Job Status with No Errors
{
"jobId": 26,
"jobName": " Copy POV",
"status": 0,
"descriptiveStatus": "Success",
"details": null
"links": [
{
"rel": "self"
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/jobs/26",
"action": "GET",
},
{
"rel": "job-details"
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/jobs/26/details",
"action": "GET",
}